# $Revision: 1.14 $, $Date: 2011/01/06 20:54:02 $
%include	/usr/lib/rpm/macros.java
%define		srcname	commons-codec
Summary:	Commons Codec Package
Summary(pl.UTF-8):	Pakiet Commons Codec
Name:		java-commons-codec
Version:	1.3
Release:	6
License:	Apache
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/codec/source/commons-codec-%{version}-src.tar.gz
# Source0-md5:	af3c3acf618de6108d65fcdc92b492e1
Patch0:		%{name}-buildscript.patch
URL:		http://commons.apache.org/codec/
BuildRequires:	ant >= 1.6.2
BuildRequires:	ant-junit
BuildRequires:	jpackage-utils
BuildRequires:	java-junit
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.556
BuildRequires:	sed >= 4.0
%buildrequires_jdk
Provides:	commons-codec
Obsoletes:	commons-codec
Obsoletes:	jakarta-commons-codec
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Commons Codec is an attempt to provide definitive implementations of
commonly used encoders and decoders.

%description -l pl.UTF-8
Commons Codec to próba dostarczenia ostatecznych implementacji
powszechnie używanych koderów i dekoderów.

%package javadoc
Summary:	Javadoc for %{name}
Summary(pl.UTF-8):	Dokumentacja javadoc dla pakietu %{name}
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
Javadoc for %{name}.

%description javadoc -l pl.UTF-8
Dokumentacja javadoc dla pakietu %{name}.

%prep
%setup -qc
touch LICENSE

cd commons-codec-%{version}
%{__sed} -i -e 's,\r$,,' build.xml

# FIXME Remove SoundexTest which is failing
# and thus preventing the build to proceed.
# This problem has been communicated upstream Bug 31096
%patch0 -p1

%build
cd commons-codec-%{version}

export LC_ALL=en_US # source not in ASCII

required_jars="junit"
CLASSPATH=$(build-classpath $required_jars)
export CLASSPATH
export SHELL=/bin/sh

%ant -Dbuild.compiler=extJavac dist

%install
rm -rf $RPM_BUILD_ROOT
cd commons-codec-%{version}

# jars
install -d $RPM_BUILD_ROOT%{_javadir}
cp -a dist/%{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc commons-codec-%{version}/RELEASE-NOTES.txt
%{_javadir}/*.jar

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-commons-codec.spec,v $
Revision 1.14  2011/01/06 20:54:02  pawelz
- fix builddeps:
  - do not force gcj
  - junit is java-junit now
  - bump rpmbuild macros BR
- rel 6

Revision 1.13  2009/02/17 07:12:23  pawelz
- rebuild with java-gcj-compat-devel
- correct dir for javadoc
- rel 5

Revision 1.12  2009/02/02 12:28:35  glen
- Libraries/Java group

Revision 1.11  2009/01/23 17:56:20  pawelz
- BR: sed >= 4.0

Revision 1.10  2009/01/23 16:33:57  pawelz
- undos build.xml
- why does this stupid CVS undos patches???

Revision 1.9  2009/01/23 14:04:19  pawelz
- new Name (it is no longer part of jakarta project)
- adapterized

Revision 1.8  2007/12/11 15:12:30  glen
- new url; rel 4

Revision 1.7  2007/04/17 22:04:56  glen
- unify java package; builds now

Revision 1.6  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.4  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.3  2006/05/16 20:09:18  qboosh
- pl, killed subshell, release 3

Revision 1.2  2006/05/15 10:54:16  ankry
- cosmetics

Revision 1.1  2006/05/10 20:32:30  glen
- new, based on jpackage
